Name:           sshfs-fuse
Version:        1.9
Release:        %mkrel 2
Epoch:          0
Summary:        Filesystem running over SFTP
License:        GPL
Group:          Networking/Remote access
URL:            http://fuse.sourceforge.net/sshfs.html
Source0:        http://downloads.sourceforge.net/fuse/sshfs-fuse-%{version}.tar.gz
# XXX: No way to tell if this is already included in/by the kernel or not
#Requires:      dkms-fuse
Requires:       fuse
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q

%build
export CC="%{__cc} -fPIC"
%{configure2_5x} --disable-dependency-tracking --disable-sshnodelay
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot} 

%files 
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%attr(0755,root,root) %{_bindir}/sshfs


%changelog
* Mon Dec 17 2007 David Walluck <walluck@mandriva.org> 1.9-2mdv2008.1
+ Revision: 131673
- explicitly add --disable-dependency-tracking --disable-sshnodelay to configure
- 1.9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 16 2007 David Walluck <walluck@mandriva.org> 0:1.8-1mdv2008.0
+ Revision: 27418
- 1.8


* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:1.7-1mdv2007.0
- 1.7

* Tue Mar 28 2006 David Walluck <walluck@mandriva.org> 0:1.6-1mdk
- 1.6

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 0:1.5-1mdk
- 1.5
- Requires: dkms-fuse, fuse, glib2-devel, pkgconfig
- BuildRequires: libfuse-devel, not libfuse2-devel
- fix build on x86_64
- use %%configure2_5x
- remove menu-related stuff
- add docs

* Sun Oct 30 2005 Eskild Hustvedt <eskild@mandriva.org> 1.3-1mdk
- Initial Mandriva Linux package

